-- Author      : Mmoose
-- Create Date : 20090915
-- Updated	   : 20111126

local addon = Gimmelootlite
--Main Frame
function Gimmelootlite:CreateFrame()
	if(addon.Frame) then
	end
	if (not addon.Frame) then
		-- Create the main Frame
		Gimmelootlite.Frame = CreateFrame("Frame", "Gimmelootlite.Frame", UIParent)
		Gimmelootlite.Frame:SetWidth(225)
		Gimmelootlite.Frame:SetHeight(261)
		Gimmelootlite.Frame:SetBackdrop(
		{
			bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
			edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
			tile="false",
			edgeSize = 16,
			insets = {
						left = 5,
						right = 5,
						top = 5,
						bottom = 5
					}
		})
		Gimmelootlite.Frame:SetBackdropColor(0, 0, 0)
		Gimmelootlite.Frame:EnableMouse(true)
		Gimmelootlite.Frame:EnableKeyboard(true)
		Gimmelootlite.Frame:SetMovable(true)
		Gimmelootlite.Frame:SetScript("OnMouseDown", function() Gimmelootlite.Frame:StartMoving() end)
		Gimmelootlite.Frame:SetScript("OnMouseUp", function() Gimmelootlite.Frame:StopMovingOrSizing() Gimmelootlite.saveSet() end)
--
		Gimmelootlite.Frame:Hide()

		Gimmelootlite.mfX = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.mfX:SetParent(Gimmelootlite.Frame)
		Gimmelootlite.mfX:SetWidth(30)
		Gimmelootlite.mfX:SetHeight(14)
		Gimmelootlite.mfX:SetText(GimmelootliteLOC["X"])
		Gimmelootlite.mfX:SetScript("OnClick", function() Gimmelootlite.Frame_toggle() end)
		Gimmelootlite.mfX:SetPoint("RIGHT", Gimmelootlite.Frame, "RIGHT", -10, 0)
		Gimmelootlite.mfX:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -15)	
		
		Gimmelootlite.bSL = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.bSL:SetParent(Gimmelootlite.Frame)
		Gimmelootlite.bSL:SetWidth(50)
		Gimmelootlite.bSL:SetHeight(14)
		Gimmelootlite.bSL:SetText(GimmelootliteLOC["announceloot"])
		Gimmelootlite.bSL:SetScript("OnClick", function() Gimmelootlite.ShowLoot() end)
		Gimmelootlite.bSL:SetPoint("RIGHT", Gimmelootlite.Frame, "RIGHT", -10, 0)
		Gimmelootlite.bSL:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -30)

		Gimmelootlite.btd = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.btd:SetParent(Gimmelootlite.Frame)
		Gimmelootlite.btd:SetWidth(20)
		Gimmelootlite.btd:SetHeight(14)
		Gimmelootlite.btd:SetText("T")
		Gimmelootlite.btd:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -30)
		Gimmelootlite.btd:SetPoint("LEFT", Gimmelootlite.Frame, "LEFT", 10, 0)
		Gimmelootlite.btd:Hide()		
		Gimmelootlite.bnd = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.bnd:SetParent(Gimmelootlite.Frame)
		Gimmelootlite.bnd:SetWidth(20)
		Gimmelootlite.bnd:SetHeight(14)
		Gimmelootlite.bnd:SetText(GimmelootliteLOC["neednameb"])
		Gimmelootlite.bnd:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -30)
		Gimmelootlite.bnd:SetPoint("LEFT", Gimmelootlite.Frame, "LEFT", 30, 0)
		Gimmelootlite.bnd:Hide()
		Gimmelootlite.bwt = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.bwt:SetParent(Gimmelootlite.Frame)
		Gimmelootlite.bwt:SetWidth(20)
		Gimmelootlite.bwt:SetHeight(14)
		Gimmelootlite.bwt:SetText(GimmelootliteLOC["offspecnameb"])
		Gimmelootlite.bwt:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -30)
		Gimmelootlite.bwt:SetPoint("LEFT", Gimmelootlite.Frame, "LEFT", 50, 0)
		Gimmelootlite.bwt:Hide()
		Gimmelootlite.bwo = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.bwo:SetParent(Gimmelootlite.Frame)
		Gimmelootlite.bwo:SetWidth(20)
		Gimmelootlite.bwo:SetHeight(14)
		Gimmelootlite.bwo:SetText(GimmelootliteLOC["wantnameb"])
		Gimmelootlite.bwo:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -30)
		Gimmelootlite.bwo:SetPoint("LEFT", Gimmelootlite.Frame, "LEFT", 70, 0)	
		Gimmelootlite.bwo:Hide()
		Gimmelootlite.bwe = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.bwe:SetParent(Gimmelootlite.Frame)
		Gimmelootlite.bwe:SetWidth(20)
		Gimmelootlite.bwe:SetHeight(14)
		Gimmelootlite.bwe:SetText(GimmelootliteLOC["E"])
		Gimmelootlite.bwe:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -30)
		Gimmelootlite.bwe:SetPoint("LEFT", Gimmelootlite.Frame, "LEFT", 90, 0)	
		Gimmelootlite.bwe:Hide()
		Gimmelootlite.bwc = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.bwc:SetParent(Gimmelootlite.Frame)
		Gimmelootlite.bwc:SetWidth(20)
		Gimmelootlite.bwc:SetHeight(14)
		Gimmelootlite.bwc:SetText(GimmelootliteLOC["C"])
		Gimmelootlite.bwc:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -30)
		Gimmelootlite.bwc:SetPoint("LEFT", Gimmelootlite.Frame, "LEFT", 110, 0)						
		Gimmelootlite.bwc:Hide()
		
		Gimmelootlite.header = Gimmelootlite.Frame:CreateFontString(nil, "OVERLAY")
		Gimmelootlite.header:ClearAllPoints()
		Gimmelootlite.header:SetHeight(15)
		Gimmelootlite.header:SetPoint("LEFT", Gimmelootlite.Frame, "LEFT", 10, 0)
		Gimmelootlite.header:SetPoint("TOP", Gimmelootlite.Frame, "TOP", 0, -14)
		Gimmelootlite.header:SetFont("Fonts\\FRIZQT__.TTF", 12)
		Gimmelootlite.header:SetJustifyH("LEFT")
		Gimmelootlite.header:SetText(GimmelootliteLOC["mainframetitle"])
		Gimmelootlite.header:SetShadowOffset(.8, -.8)
		Gimmelootlite.header:SetShadowColor(0, 0, 0, 1)
	
		Gimmelootlite.sfmf = CreateFrame("ScrollFrame", "Gimmelootlite.sfmf", Gimmelootlite.Frame, "UIPanelScrollFrameTemplate")
		Gimmelootlite.sfmf:SetPoint("TOPLEFT", Gimmelootlite.Frame, "TOPLEFT", 15, -57)
		Gimmelootlite.sfmf:SetPoint("BOTTOMLEFT", Gimmelootlite.Frame, "BOTTOMLEFT", 0, 15)
		Gimmelootlite.sfmf:SetPoint("BOTTOMRIGHT", Gimmelootlite.Frame, "BOTTOMRIGHT", -30, 0)
		Gimmelootlite.sfmf:SetWidth(200)
		Gimmelootlite.sfmf:SetHeight(289)
		Gimmelootlite.sfmf:EnableMouse(true)

		Gimmelootlite.dta = CreateFrame("Frame", "Gimmelootlite.dta", Gimmelootlite.sfmf)
		Gimmelootlite.dta:SetWidth(196)
		Gimmelootlite.dta:SetHeight(541)
		Gimmelootlite.dta:SetPoint("TOPLEFT", Gimmelootlite.sfmf, "TOPLEFT", 0, -35)
		Gimmelootlite.sfmf:SetScrollChild(Gimmelootlite.dta)
		
		local i
		for i=1, 30 do
			Gimmelootlite.mfpf[i] = CreateFrame("Frame", nil, Gimmelootlite.dta)
			Gimmelootlite.mfpf[i]:SetParent(Gimmelootlite.dta)
			Gimmelootlite.mfpf[i]:SetHeight(15)
			Gimmelootlite.mfpf[i]:ClearAllPoints()			
			--Gimmelootlite.sdta[i] = Gimmelootlite.dta:CreateFontString(nil, "OVERLAY")		
			if(i == 1) then
				Gimmelootlite.mfpf[i]:SetPoint("TOP", Gimmelootlite.dta, "TOP", 0, 0)
				Gimmelootlite.mfpf[i]:SetPoint("LEFT", Gimmelootlite.dta, "LEFT", 0, 0)			
			--	Gimmelootlite.sdta[i]:SetPoint("TOP", Gimmelootlite.dta, "TOP", 0, -5)
			else 
				Gimmelootlite.mfpf[i]:SetPoint("TOP", Gimmelootlite.dta, "TOP", 0, (i-1)*-16)
				Gimmelootlite.mfpf[i]:SetPoint("LEFT", Gimmelootlite.dta, "LEFT", 0, 0)
			--	Gimmelootlite.sdta[i]:SetPoint("TOP", Gimmelootlite.dta, "TOP", 0, (i-1)*-21)
			end
			Gimmelootlite.mfpf[i]:EnableMouse()		
			Gimmelootlite.mfpf[i]:SetScript("OnMouseDown", function(__,button) Gimmelootlite.mfpbutton(button, i) end) 
			Gimmelootlite.sdta[i] = Gimmelootlite.mfpf[i]:CreateFontString(nil, "OVERLAY")
			--Gimmelootlite.sdta[i] = Gimmelootlite.iipf[i]:CreateFontString(nil, "OVERLAY")		
			Gimmelootlite.sdta[i]:SetPoint("TOPLEFT", Gimmelootlite.mfpf[i], "TOPLEFT", 0, 0)
			Gimmelootlite.sdta[i]:SetFont("Fonts\\FRIZQT__.TTF", 12)
			Gimmelootlite.sdta[i]:SetJustifyH('LEFT')
			--Gimmelootlite.sdta[i]:SetText(i)	
			--Gimmelootlite.pf[i]:Hide()
			Gimmelootlite.mfpf[i]:Hide()
		end
		Gimmelootlite:moveSet()	
	end		
	--Gimmelootlite.CreateiiFrame()
	Gimmelootlite.CreateWinFrame()
end
--winners frame
function Gimmelootlite:CreateWinFrame()	
	--winners frame
	if(addon.WinFrame) then
	end
	if (not addon.WinFrame) then
		Gimmelootlite.WinFrame = CreateFrame("Frame", "GimmelootliteWin.Frame", UIParent)
		Gimmelootlite.WinFrame:SetWidth(200)
		Gimmelootlite.WinFrame:SetHeight(200)
		Gimmelootlite.WinFrame:SetBackdrop(
		{
			bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background",
			edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
			tile="true",
			edgeSize = 16,
			insets = {
						left = 5,
						right = 5,
						top = 5,
						bottom = 5
					}
		})
		Gimmelootlite.WinFrame:SetBackdropColor(0, 0, 0)
		Gimmelootlite.WinFrame:EnableMouse(true)
		Gimmelootlite.WinFrame:EnableKeyboard(true)
		Gimmelootlite.WinFrame:SetMovable(true)
		Gimmelootlite.WinFrame:Hide()
		if(addon.db.profile.showwin == true) then
			Gimmelootlite.WinFrame:Show()
		end 
		Gimmelootlite.WinFrame:SetScript("OnMouseDown", function() Gimmelootlite.WinFrame:StartMoving() end)
		Gimmelootlite.WinFrame:SetScript("OnMouseUp", function() Gimmelootlite.WinFrame:StopMovingOrSizing() Gimmelootlite.wfsaveSet() end)	
	
	
		Gimmelootlite.wrfheader = Gimmelootlite.WinFrame:CreateFontString(nil, "OVERLAY")
		Gimmelootlite.wrfheader:ClearAllPoints()
		Gimmelootlite.wrfheader:SetHeight(15)
		Gimmelootlite.wrfheader:SetPoint("TOP", Gimmelootlite.WinFrame, "TOP", 0, -14)
		Gimmelootlite.wrfheader:SetPoint("LEFT", Gimmelootlite.WinFrame, "LEFT", 10, 0)
		Gimmelootlite.wrfheader:SetFont("Fonts\\FRIZQT__.TTF", 12)
		Gimmelootlite.wrfheader:SetJustifyH("LEFT")
		Gimmelootlite.wrfheader:SetText(GimmelootliteLOC["winframetitle"])
		Gimmelootlite.wrfheader:SetShadowOffset(.8, -.8)
		Gimmelootlite.wrfheader:SetShadowColor(0, 0, 0, 1)	

		Gimmelootlite.wfA = CreateFrame("Button", nil, nil, "UIPanelButtonTemplate")
		Gimmelootlite.wfA:SetParent(Gimmelootlite.WinFrame)
		Gimmelootlite.wfA:SetWidth(15)
		Gimmelootlite.wfA:SetHeight(14)
		Gimmelootlite.wfA:SetText(GimmelootliteLOC["A"])
		Gimmelootlite.wfA:SetScript("OnClick", function() Gimmelootlite.wFrame_wfA() end)
		Gimmelootlite.wfA:SetPoint("RIGHT", Gimmelootlite.WinFrame, "RIGHT", -10, 0)
		Gimmelootlite.wfA:SetPoint("TOP", Gimmelootlite.WinFrame, "TOP", 0, -15)	
		
		Gimmelootlite.sfwf = CreateFrame("ScrollFrame", "Gimmelootlite.sfwf", Gimmelootlite.WinFrame, "UIPanelScrollFrameTemplate")
		Gimmelootlite.sfwf:SetPoint("TOPLEFT", Gimmelootlite.WinFrame, "TOPLEFT", 15, -40)
		Gimmelootlite.sfwf:SetPoint("BOTTOMLEFT", Gimmelootlite.WinFrame, "BOTTOMLEFT", 0, 15)
		Gimmelootlite.sfwf:SetPoint("BOTTOMRIGHT", Gimmelootlite.WinFrame, "BOTTOMRIGHT", -30, 0)
		Gimmelootlite.sfwf:SetWidth(160)
		Gimmelootlite.sfwf:SetHeight(160)
		Gimmelootlite.sfwf:EnableMouse(true)
		
		Gimmelootlite.wta2 = CreateFrame("Frame", "Gimmelootlite.wta2", Gimmelootlite.WinFrame)
--		Gimmelootlite.wta2:SetPoint("TOP", Gimmelootlite.sfwf, "TOP", 0, -34)
--		Gimmelootlite.wta2:SetPoint("LEFT", Gimmelootlite.sfwf, "LEFT", 10, 0)
--		Gimmelootlite.wta2:SetPoint("RIGHT", Gimmelootlite.sfwf, "RIGHT", -10, 0)
--		Gimmelootlite.wta2:SetPoint("BOTTOM", Gimmelootlite.sfwf, "BOTTOM", 0, 10)
		Gimmelootlite.wta2:SetWidth(140)
		Gimmelootlite.wta2:SetHeight(541)
		Gimmelootlite.wta2:SetPoint("TOPLEFT", Gimmelootlite.sfwf, "TOPLEFT", 0, -35)
		Gimmelootlite.sfwf:SetScrollChild(Gimmelootlite.wta2)		
		
		for i=1,40 do
			--DEFAULT_CHAT_FRAME:AddMessage(i)
			Gimmelootlite.wrpf[i] = CreateFrame("Frame", nil, Gimmelootlite.wta2)
			Gimmelootlite.wrpf[i]:SetParent(Gimmelootlite.wta2)
			Gimmelootlite.wrpf[i]:SetWidth(175)
			Gimmelootlite.wrpf[i]:SetHeight(15)
			Gimmelootlite.wrpf[i]:SetPoint("TOP", Gimmelootlite.wta2, "TOP", 0, (i-1)*-14)
			Gimmelootlite.wrpf[i]:SetPoint("LEFT", Gimmelootlite.wta2, "LEFT", 0, 0)
			Gimmelootlite.wrpf[i]:EnableMouse()
			Gimmelootlite.wrpf[i]:SetScript("OnEnter", function() Gimmelootlite.wrp[i]:SetTextColor(1,0,0) Gimmelootlite.wfButton_TT_Show() end)
			Gimmelootlite.wrpf[i]:SetScript("OnLeave", function() Gimmelootlite.wrp[i]:SetTextColor(1,1,1) Gimmelootlite.wfButton_TT_Hide() end)	
			Gimmelootlite.wrpf[i]:SetScript("OnMouseDown", function(__,button) local j = i Gimmelootlite.wrpbutton(button, j) end) 
			Gimmelootlite.wrpf[i]:Hide()
			Gimmelootlite.wrp[i] = Gimmelootlite.wrpf[i]:CreateFontString(nil, "OVERLAY")
			Gimmelootlite.wrp[i]:ClearAllPoints()
			Gimmelootlite.wrp[i]:SetWidth(200)
			Gimmelootlite.wrp[i]:SetHeight(15)
			Gimmelootlite.wrp[i]:SetPoint("TOP", Gimmelootlite.wrpf[i], "TOP", 0, 0)
			Gimmelootlite.wrp[i]:SetPoint("LEFT", Gimmelootlite.wrpf[i], "LEFT", 0, 0)
			Gimmelootlite.wrp[i]:SetFont("Fonts\\FRIZQT__.TTF", 12)
			Gimmelootlite.wrp[i]:SetJustifyH("LEFT")
			Gimmelootlite.wrp[i]:SetText("0 -999999")
			Gimmelootlite.wrp[i]:SetShadowOffset(.8, -.8)
			Gimmelootlite.wrp[i]:SetShadowColor(0, 0, 0, 1)		
			Gimmelootlite.wrp[i]:Hide()			
		end
		Gimmelootlite:wfmoveSet()
	end	
	
end