-- Author      : Mmoose
-- Create Date : 20090915
-- Updated	   : 20111126


local addon = Gimmelootlite
--system functions
function Gimmelootlite:PLAYER_ENTERING_WORLD()
	Gimmelootlite.EnableMe()
	Gimmelootlite.create_mmButton()
	Gimmelootlite.CreateFrame()
end
function Gimmelootlite:CHAT_MSG_SYSTEM()
	who, what, amt, range = strsplit(" ", arg1)
	if(what == "rolls") then
		if(addon.db.realm.newroll[who] == nil) then
			addon.db.realm.newroll[who] = amt
			if(range == "(1-100)") then
				--first update the history
--tier start
				if(Gimmelootlite.rt == addon.db.profile.tiername) then
					SendChatMessage(GimmelootliteLOC["rollrec1"].." "..amt.." "..GimmelootliteLOC["rollrec2"].." "..Gimmelootlite.lli.." "..GimmelootliteLOC["rollrec3"], "WHISPER", nil, who)
					Gimmelootlite.name = who
					Gimmelootlite.roll = amt
					Gimmelootlite.PopulateWin()
				end
--tier end				
				if(Gimmelootlite.rt == addon.db.profile.needname) then
					--do everything here for need
					SendChatMessage(GimmelootliteLOC["rollrec1"].." "..amt.." "..GimmelootliteLOC["rollrec2"].." "..Gimmelootlite.lli.." "..GimmelootliteLOC["rollrec3"], "WHISPER", nil, who)
					Gimmelootlite.name = who
					Gimmelootlite.roll = amt
					Gimmelootlite.PopulateWin()
				end
				if(Gimmelootlite.rt == addon.db.profile.offspecname) then
				--handle want rolls here
					SendChatMessage(GimmelootliteLOC["rollrec1"].." "..amt.." "..GimmelootliteLOC["rollrec2"].." "..Gimmelootlite.lli..GimmelootliteLOC["rollrec3"], "WHISPER", nil, who)
					Gimmelootlite.name = who
					Gimmelootlite.roll = amt							
					Gimmelootlite.PopulateWin()
				end
				if(Gimmelootlite.rt == addon.db.profile.wantname) then
					--handle offspec rolls here
					SendChatMessage(GimmelootliteLOC["rollrec1"].." "..amt.." "..GimmelootliteLOC["rollrec2"].." "..Gimmelootlite.lli..GimmelootliteLOC["rollrec3"], "WHISPER", nil, who)
					Gimmelootlite.name = who
					Gimmelootlite.roll = amt
					Gimmelootlite.PopulateWin()						
				end
			end
		--then we'll see what happens on the roll math	
		else
			SendChatMessage(GimmelootliteLOC["rollignore1"].." "..addon.db.realm.newroll[who].." "..GimmelootliteLOC["rollignore2"].." "..Gimmelootlite.lli.." "..GimmelootliteLOC["rollignore3"], "WHISPER", nil, who)
		end
	end
end
function Gimmelootlite:LOOT_SLOT_CLEARED()
	Gimmelootlite.PopulateLoot()
end
function Gimmelootlite:LOOT_OPENED()
--DEFAULT_CHAT_FRAME:AddMessage("here")
	Gimmelootlite.PopulateLoot()
end
function Gimmelootlite:LOOT_CLOSED()
	Gimmelootlite.ClearLoot()
end
function Gimmelootlite:ShowAllFrames()
	Gimmelootlite.WinFrame_toggle()
	Gimmelootlite.Frame_toggle()
	--Gimmelootlite.RaidFrame_toggle()
end
function Gimmelootlite:WinFrame_toggle()
	if(Gimmelootlite.WinFrame:IsVisible()) then
		Gimmelootlite.WinFrame:Hide()
	else
		Gimmelootlite.WinFrame:Show()
	end
end
function Gimmelootlite:Frame_toggle()
	if(Gimmelootlite.Frame:IsVisible()) then
		Gimmelootlite.Frame:Hide()
	else
		Gimmelootlite.Frame:Show()
	end
end
function Gimmelootlite:CleanWin()
	Gimmelootlite.wta2:Hide()
	for i=1, 40 do
		Gimmelootlite.wrp[i]:SetText("0 -999999")
		Gimmelootlite.wrpf[i]:Show()
		Gimmelootlite.wrp[i]:Show()
	end
end
function Gimmelootlite:PopulateWin()
	Gimmelootlite.wta2:Show()
	for i=1, 40 do
		Gimmelootlite.wrpf[i]:Show()
		Gimmelootlite.wrp[i]:Show()
		w, j = strsplit(" ", Gimmelootlite.wrp[i]:GetText())
		j = tonumber(j)
		Gimmelootlite.roll = tonumber(Gimmelootlite.roll)
		if(j < Gimmelootlite.roll) then
			if(i == 1) then	
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.wrp[8]:GetText())
				Gimmelootlite.wrp[8]:SetText(Gimmelootlite.wrp[7]:GetText())
				Gimmelootlite.wrp[7]:SetText(Gimmelootlite.wrp[6]:GetText())
				Gimmelootlite.wrp[6]:SetText(Gimmelootlite.wrp[5]:GetText())			
				Gimmelootlite.wrp[5]:SetText(Gimmelootlite.wrp[4]:GetText())
				Gimmelootlite.wrp[4]:SetText(Gimmelootlite.wrp[3]:GetText())
				Gimmelootlite.wrp[3]:SetText(Gimmelootlite.wrp[2]:GetText())
				Gimmelootlite.wrp[2]:SetText(Gimmelootlite.wrp[1]:GetText())
				Gimmelootlite.wrp[1]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)
				break
			end
			if(i == 2) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.wrp[8]:GetText())
				Gimmelootlite.wrp[8]:SetText(Gimmelootlite.wrp[7]:GetText())
				Gimmelootlite.wrp[7]:SetText(Gimmelootlite.wrp[6]:GetText())
				Gimmelootlite.wrp[6]:SetText(Gimmelootlite.wrp[5]:GetText())			
				Gimmelootlite.wrp[5]:SetText(Gimmelootlite.wrp[4]:GetText())
				Gimmelootlite.wrp[4]:SetText(Gimmelootlite.wrp[3]:GetText())
				Gimmelootlite.wrp[3]:SetText(Gimmelootlite.wrp[2]:GetText())
				Gimmelootlite.wrp[2]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)				
				break
			end
			if(i == 3) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.wrp[8]:GetText())
				Gimmelootlite.wrp[8]:SetText(Gimmelootlite.wrp[7]:GetText())
				Gimmelootlite.wrp[7]:SetText(Gimmelootlite.wrp[6]:GetText())
				Gimmelootlite.wrp[6]:SetText(Gimmelootlite.wrp[5]:GetText())			
				Gimmelootlite.wrp[5]:SetText(Gimmelootlite.wrp[4]:GetText())
				Gimmelootlite.wrp[4]:SetText(Gimmelootlite.wrp[3]:GetText())
				Gimmelootlite.wrp[3]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 4) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.wrp[8]:GetText())
				Gimmelootlite.wrp[8]:SetText(Gimmelootlite.wrp[7]:GetText())
				Gimmelootlite.wrp[7]:SetText(Gimmelootlite.wrp[6]:GetText())
				Gimmelootlite.wrp[6]:SetText(Gimmelootlite.wrp[5]:GetText())			
				Gimmelootlite.wrp[5]:SetText(Gimmelootlite.wrp[4]:GetText())
				Gimmelootlite.wrp[4]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 5) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.wrp[8]:GetText())
				Gimmelootlite.wrp[8]:SetText(Gimmelootlite.wrp[7]:GetText())
				Gimmelootlite.wrp[7]:SetText(Gimmelootlite.wrp[6]:GetText())
				Gimmelootlite.wrp[6]:SetText(Gimmelootlite.wrp[5]:GetText())					
				Gimmelootlite.wrp[5]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 6) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.wrp[8]:GetText())
				Gimmelootlite.wrp[8]:SetText(Gimmelootlite.wrp[7]:GetText())
				Gimmelootlite.wrp[7]:SetText(Gimmelootlite.wrp[6]:GetText())
				Gimmelootlite.wrp[6]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 7) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.wrp[8]:GetText())
				Gimmelootlite.wrp[8]:SetText(Gimmelootlite.wrp[7]:GetText())
				Gimmelootlite.wrp[7]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 8) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.wrp[8]:GetText())
				Gimmelootlite.wrp[8]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 9) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.wrp[9]:GetText())
				Gimmelootlite.wrp[9]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 10) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.wrp[10]:GetText())
				Gimmelootlite.wrp[10]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 11) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.wrp[11]:GetText())
				Gimmelootlite.wrp[11]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 12) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.wrp[12]:GetText())
				Gimmelootlite.wrp[12]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 13) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.wrp[13]:GetText())			
				Gimmelootlite.wrp[13]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 14) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.wrp[14]:GetText())
				Gimmelootlite.wrp[14]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 15) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.wrp[15]:GetText())
				Gimmelootlite.wrp[15]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 16) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.wrp[16]:GetText())
				Gimmelootlite.wrp[16]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 17) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.wrp[17]:GetText())			
				Gimmelootlite.wrp[17]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 18) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.wrp[18]:GetText())
				Gimmelootlite.wrp[18]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 19) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.wrp[19]:GetText())
				Gimmelootlite.wrp[19]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end		
			if(i == 20) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.wrp[20]:GetText())
				Gimmelootlite.wrp[20]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end		
--here
			if(i == 21) then	
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.wrp[21]:GetText())
				Gimmelootlite.wrp[21]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)
				break
			end
			if(i == 22) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.wrp[22]:GetText())
				Gimmelootlite.wrp[22]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)				
				break
			end
			if(i == 23) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.wrp[23]:GetText())			
				Gimmelootlite.wrp[23]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 24) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.wrp[24]:GetText())
				Gimmelootlite.wrp[24]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 25) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.wrp[25]:GetText())
				Gimmelootlite.wrp[25]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 26) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.wrp[26]:GetText())
				Gimmelootlite.wrp[26]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 27) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.wrp[27]:GetText())			
				Gimmelootlite.wrp[27]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 28) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.wrp[28]:GetText())
				Gimmelootlite.wrp[28]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 29) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.wrp[29]:GetText())
				Gimmelootlite.wrp[29]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 30) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.wrp[30]:GetText())
				Gimmelootlite.wrp[30]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 31) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.wrp[31]:GetText())
				Gimmelootlite.wrp[31]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 32) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.wrp[32]:GetText())
				Gimmelootlite.wrp[32]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 33) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.wrp[33]:GetText())			
				Gimmelootlite.wrp[33]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 34) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.wrp[34]:GetText())
				Gimmelootlite.wrp[34]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 35) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.wrp[35]:GetText())
				Gimmelootlite.wrp[35]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 36) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.wrp[36]:GetText())
				Gimmelootlite.wrp[36]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 37) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.wrp[37]:GetText())			
				Gimmelootlite.wrp[37]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 38) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.wrp[38]:GetText())
				Gimmelootlite.wrp[38]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end
			if(i == 39) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.wrp[39]:GetText())
				Gimmelootlite.wrp[39]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end		
			if(i == 40) then
				Gimmelootlite.wrp[40]:SetText(Gimmelootlite.name.." "..Gimmelootlite.roll)			
				break
			end																																																																					
		end
	end	
end
function Gimmelootlite:moveSet()
	Gimmelootlite.Frame:ClearAllPoints()
	Gimmelootlite.Frame:SetPoint(addon.db.profile.point, UIParent, addon.db.profile.relativePoint, addon.db.profile.xOfs, addon.db.profile.yOfs)
end
function Gimmelootlite:saveSet()
	point, relativeTo, relativePoint, xOfs, yOfs = Gimmelootlite.Frame:GetPoint()
	addon.db.profile.point = point;
	addon.db.profile.relativePoint = relativePoint;
	addon.db.profile.xOfs = xOfs;
	addon.db.profile.yOfs = yOfs;
end
function Gimmelootlite:wfmoveSet()
	Gimmelootlite.WinFrame:ClearAllPoints()
	Gimmelootlite.WinFrame:SetPoint(addon.db.profile.wfpoint, UIParent, addon.db.profile.wfrelativePoint, addon.db.profile.wfxOfs, addon.db.profile.wfyOfs)
end
function Gimmelootlite:wfsaveSet()
	rfpoint, wfrelativeTo, wfrelativePoint, wfxOfs, wfyOfs = Gimmelootlite.WinFrame:GetPoint()
	addon.db.profile.wfpoint = wfpoint;
	addon.db.profile.wfrelativePoint = wfrelativePoint;
	addon.db.profile.wfxOfs = wfxOfs;
	addon.db.profile.wfyOfs = wfyOfs;
end
--minimap button functions
function Gimmelootlite:DropLootFromMain(i)
end
function Gimmelootlite:wfButton_TT_Show()
	CreateFrame("GameTooltip", "Gimmelootlitewftip", UIParent, "GameTooltipTemplate")
	Gimmelootlitewftip:SetOwner(Gimmelootlite.WinFrame, "ANCHOR_BOTTOMLEFT")	
	Gimmelootlitewftip:AddLine(GimmelootliteLOC["winframetitle"], 1, 0, 0)
	Gimmelootlitewftip:AddLine("-------------------", 1, 0, 0)	
	Gimmelootlitewftip:AddLine(GimmelootliteLOC["wfright"], 1, 0, 0)
	Gimmelootlitewftip:Show();
end
function Gimmelootlite:wfButton_TT_Hide()
	Gimmelootlitewftip:Hide();
end
function Gimmelootlite:mmButton_toggle()
	if(Gimmelootlite.mmButton:IsVisible()) then
		Gimmelootlite.mmButton:Hide()
	else
		Gimmelootlite.mmButton:Show()
	end
end
function Gimmelootlite.mmButton_reposition()
	Gimmelootlite.mmButton:RegisterForClicks("AnyUp")
	if(addon.db.profile.MiniMapPos == nil) then
		addon.db.profile.MiniMapPos = 320.0
	end
	if(addon.db.profile.MiniMapRad == nil) then
		addon.db.profile.MiniMapRad = 80
	end
	Gimmelootlite.mmButton:SetPoint("TOPLEFT","Minimap","TOPLEFT",54-(addon.db.profile.MiniMapRad*cos(addon.db.profile.MiniMapPos)),(addon.db.profile.MiniMapRad*sin(addon.db.profile.MiniMapPos))-55)
end
function Gimmelootlite:mmButton_TT_Show()
	CreateFrame("GameTooltip", "Gimmelootlitemytip", UIParent, "GameTooltipTemplate")
	Gimmelootlitemytip:SetOwner(Minimap, "ANCHOR_BOTTOMLEFT")	
	Gimmelootlitemytip:AddLine(GimmelootliteLOC["versionstring"], 1, 0, 0)
	Gimmelootlitemytip:AddLine("-------------------", 1, 0, 0)
	Gimmelootlitemytip:AddLine(GimmelootliteLOC["left"], 1, 0, 0)
	Gimmelootlitemytip:AddLine(GimmelootliteLOC["right"], 1, 0, 0)
	Gimmelootlitemytip:AddLine("-------------------", 1, 0, 0)
	Gimmelootlitemytip:AddLine(GimmelootliteLOC["altright"], 1, 0, 0)
	Gimmelootlitemytip:Show();
end
function Gimmelootlite:mmButton_TT_Hide()
	Gimmelootlitemytip:Hide();
end
function Gimmelootlite:create_mmButton()
	if (not Gimmelootlite.mmButton) then
		Gimmelootlite.mmButton = CreateFrame("Button", "Gimmelootlite.mmButton", Minimap)
		Gimmelootlite.mmButton:SetWidth(40)
		Gimmelootlite.mmButton:SetHeight(40)
		Gimmelootlite.mmButton:EnableMouse(true)
		Gimmelootlite.mmButton:EnableKeyboard(true)
		Gimmelootlite.mmButton:SetMovable(true)
		--Gimmelootlite.mmButton:SetScript("OnClick", function() Gimmelootlite.mmButton_OnClick() end)
		Gimmelootlite.mmButton:SetScript("OnClick", function(self, arg1, down)
			if(arg1 == "LeftButton") then
				if(IsShiftKeyDown()) then

				elseif(IsAltKeyDown()) then

				elseif(IsControlKeyDown()) then
			
				else
					Gimmelootlite.Frame_toggle()
				end
			else
				if(IsAltKeyDown()) then
					Gimmelootlite.ShowAllFrames()
				elseif(IsControlKeyDown()) then

				elseif(IsShiftKeyDown()) then
				else
					Gimmelootlite.WinFrame_toggle()
				end
			end		
		end
		)
		Gimmelootlite.mmButton:SetScript("OnEnter", function() Gimmelootlite.mmButton_TT_Show() end)
		Gimmelootlite.mmButton:SetScript("OnLeave", function() Gimmelootlite.mmButton_TT_Hide() end)
	
		Gimmelootlite.mmLayerOverlay = Gimmelootlite.mmButton:CreateTexture(nil, "OVERLAY")
		Gimmelootlite.mmLayerOverlay:SetTexture("Interface\\Minimap\\MiniMap-TrackingBorder")
		Gimmelootlite.mmLayerOverlay:SetWidth(56)
		Gimmelootlite.mmLayerOverlay:SetHeight(56)
		Gimmelootlite.mmLayerOverlay:SetPoint("TOPLEFT", Gimmelootlite.mmButton)

		Gimmelootlite.mmLayerBack = Gimmelootlite.mmButton:CreateTexture(nil, "BACKGROUND")
		Gimmelootlite.mmLayerBack:SetTexture("Interface\\Icons\\INV_misc_dice_02")
		Gimmelootlite.mmLayerBack:SetWidth(21)
		Gimmelootlite.mmLayerBack:SetHeight(21)
		Gimmelootlite.mmLayerBack:SetPoint("TOPLEFT", Gimmelootlite.mmButton, 7, -6)
	
		Gimmelootlite.mmDragFrame = CreateFrame("Frame", nil)
		Gimmelootlite.mmDragFrame:SetParent( Gimmelootlite.mmButton )
		Gimmelootlite.mmDragFrame:SetWidth(33)
		Gimmelootlite.mmDragFrame:SetHeight(33)
		Gimmelootlite.mmDragFrame:SetPoint("TOPLEFT", Gimmelootlite.mmButton, 0, 0)
		Gimmelootlite.mmDragFrame:Hide();
	
		Gimmelootlite.mmLayerHighlight = Gimmelootlite.mmButton:CreateTexture(nil, "HIGHLIGHT")
		Gimmelootlite.mmLayerHighlight:SetTexture("Interface\\Minimap\\UI-Minimap-ZoomButton-Highlight")
		Gimmelootlite.mmLayerHighlight:SetBlendMode("ADD")
		Gimmelootlite.mmLayerHighlight:SetWidth(33)
		Gimmelootlite.mmLayerHighlight:SetHeight(33)
		Gimmelootlite.mmLayerHighlight:SetPoint("TOPLEFT", Gimmelootlite.mmDragFrame)
	
		if(addon.db.profile.usemm == true) then		
			Gimmelootlite.mmButton:Show()
		else
			Gimmelootlite.mmButton:Hide()
		end
		Gimmelootlite.mmButton_reposition()
	end
end
--
--other
function Gimmelootlite:OnEnable()

end
function Gimmelootlite:OnDisable()
	Gimmelootlite:UnregisterEvent("LOOT_OPENED")
	Gimmelootlite:UnregisterEvent("LOOT_CLOSED")
	Gimmelootlite:UnregisterEvent("LOOT_SLOT_CLEARED")
end
function Gimmelootlite:EnableMe()
	Gimmelootlite:RegisterEvent("LOOT_OPENED")
	Gimmelootlite:RegisterEvent("LOOT_CLOSED")
	Gimmelootlite:RegisterEvent("LOOT_SLOT_CLEARED")
end
function Gimmelootlite:PopulateLoot()
	local dt = date("*t")
	local ips = dt.month..dt.day..dt.year..dt.hour..dt.min..dt.sec
	Gimmelootlite.SetButtonText()
--DEFAULT_CHAT_FRAME:AddMessage("here")
	Gimmelootlite.ClearLoot()	
	if(UnitName("target") ~= nil) then
		if(UnitIsEnemy("player", "target")) then
			bn = UnitName("target")
		else
			bn = "LootInChest" 
		end
	else
		bn = "LootInChest"
	end		
	for i = 1, GetNumLootItems() do
		if (LootSlotIsItem(i)) then
		    local iteminfo = GetLootSlotLink(i)
			Gimmelootlite.sdta[i]:SetText(iteminfo)
			Gimmelootlite.mfpf[i]:Show()
		end
   end
end
function Gimmelootlite:EndRoll()
	local chan
	if(UnitInRaid("player")) then
		chan = "RAID_WARNING"
	elseif (UnitInParty("player")) then
		chan = "PARTY"
	end
	local iteminfo = GetLootSlotLink(Gimmelootlite.li);
	Gimmelootlite:UnregisterEvent("CHAT_MSG_SYSTEM")
	SendChatMessage(Gimmelootlite.rt.." "..GimmelootliteLOC["close1"].." "..iteminfo.." "..GimmelootliteLOC["close2"], chan, nil, nil)
end
function Gimmelootlite:Start_Roll()
	--DEFAULT_CHAT_FRAME:AddMessage(Gimmelootlite.rt.." "..Gimmelootlite.li.." "..Gimmelootlite.lli)
	local chan
	if(UnitInRaid("player")) then
		chan = "RAID_WARNING"
	elseif (UnitInParty("player")) then
		chan = "PARTY"
	end
	local iteminfo = GetLootSlotLink(Gimmelootlite.li);
	
	SendChatMessage(Gimmelootlite.rt.." "..GimmelootliteLOC["startroll1"].." "..iteminfo.." "..GimmelootliteLOC["startroll2"], chan, nil, nil)
	addon.db.realm.newroll = {}
	Gimmelootlite.name = ""
	Gimmelootlite.roll = ""
	Gimmelootlite.CleanWin()
	Gimmelootlite:RegisterEvent("CHAT_MSG_SYSTEM")
end
function Gimmelootlite:End_Timer()
	local chan
	if(UnitInRaid("player")) then
		chan = "RAID_WARNING"
	elseif (UnitInParty("player")) then
		chan = "PARTY"
	end	
	local iteminfo = GetLootSlotLink(Gimmelootlite.li);
	SendChatMessage(Gimmelootlite.rt.." "..GimmelootliteLOC["lastcall1"].." "..iteminfo.." "..GimmelootliteLOC["lastcall2"], chan, nil, nil)
end
function Gimmelootlite:ClearLoot()
	for i=1,30 do
		Gimmelootlite.sdta[i]:SetText('')
		Gimmelootlite.mfpf[i]:Hide()
		Gimmelootlite.btd:Hide()
		Gimmelootlite.bnd:Hide()
		Gimmelootlite.bwt:Hide()
		Gimmelootlite.bwo:Hide()
		Gimmelootlite.bwe:Hide()
		Gimmelootlite.bwc:Hide()
		for i=1,30 do
			Gimmelootlite.sdta[i]:SetTextColor(1,1,1)
		end
	end
end
function Gimmelootlite:ShowLoot()
	local chan
	local bn
	local dt = date("*t")
	local ips = dt.month..dt.day..dt.year..dt.hour..dt.min..dt.sec
	if(UnitInRaid("player")) then
		chan = "RAID_WARNING"
	elseif (UnitInParty("player")) then
		chan = "PARTY"
	end
	if(UnitName("target") ~= nil) then
		if(UnitIsEnemy("player", "target")) then
			bn = UnitName("target")
			SendChatMessage(GimmelootliteLOC["lootboss"].." "..UnitName("target"), chan, nil, nil)
		else
			bn = "LootInChest" 
			SendChatMessage(GimmelootliteLOC["lootchest"], chan, nil, nil)
		end
	else
		SendChatMessage(GimmelootliteLOC["lootchest"], chan, nil, nil)	
		bn = "LootInChest"
	end
	for index = 1, GetNumLootItems() do
		if(LootSlotIsItem(index)) then
			local iteminfo = GetLootSlotLink(index);
			local startPos, endPos, firstWord, restOfString = string.find( iteminfo, "Emblem");
			if(startPos == 1) then
			else
				SendChatMessage(iteminfo, chan, nil, nil)

			end
		end
	end
end
function Gimmelootlite:SetButtonText()
--	for i=1, 10 do
		Gimmelootlite.btd:SetText(addon.db.profile.tiernameb)
		Gimmelootlite.bnd:SetText(addon.db.profile.neednameb)
		Gimmelootlite.bwt:SetText(addon.db.profile.offspecnameb)		
		Gimmelootlite.bwo:SetText(addon.db.profile.wantnameb)		
--	end
end
function Gimmelootlite.wrpbutton(b,j)
	local dt = date("*t")
	local ips = dt.month..dt.day..dt.year..dt.hour..dt.min..dt.sec
	local n, r = strsplit(" ", Gimmelootlite.wrp[j]:GetText()) 
	local chan
	if(UnitInRaid("player")) then
		chan = "RAID_WARNING"
	elseif (UnitInParty("player")) then
		chan = "PARTY"
	end	
	if(arg1 == "LeftButton") then
	else
		if(IsShiftKeyDown()) then
		elseif(IsAltKeyDown()) then
		else
			--announce winner
			SendChatMessage(GimmelootliteLOC["anncwin1"].." "..n.." "..GimmelootliteLOC["anncwin2"].." "..Gimmelootlite.lli.." "..GimmelootliteLOC["anncwin3"].." "..r, chan, nil, nil)

			if(Gimmelootlite.rt == addon.db.profile.tiername) then
				SendChatMessage(GimmelootliteLOC["gratswin"], "WHISPER", nil, n)
			end			
			if(Gimmelootlite.rt == addon.db.profile.needname) then
				SendChatMessage(GimmelootliteLOC["gratswin"], "WHISPER", nil, n)
			end
			if(Gimmelootlite.rt == addon.db.profile.offspecname) then
					SendChatMessage(GimmelootliteLOC["gratswin"], "WHISPER", nil, n)
			end			
			if(Gimmelootlite.rt == addon.db.profile.wantname) then
				SendChatMessage(GimmelootliteLOC["gratswin"], "WHISPER", nil, n)
			end
			--clear the win frame
			Gimmelootlite.CleanWin()
			Gimmelootlite.PopulateLoot()
		end
	end	
end
function Gimmelootlite.mfpbutton(b,k)
	--DEFAULT_CHAT_FRAME:AddMessage(b.." "..k)
	if(arg1 == "LeftButton") then
		if(IsShiftKeyDown()) then
		elseif(IsAltKeyDown()) then
		else
			for i=1,30 do
				Gimmelootlite.sdta[i]:SetTextColor(1,1,1)
			end
			Gimmelootlite.sdta[k]:SetTextColor(0,1,0)
			if(Gimmelootlite.mfpf[k]:IsVisible()) then
				Gimmelootlite.btd:Show()
				Gimmelootlite.btd:SetScript("OnClick", function() Gimmelootlite.li = k Gimmelootlite.lli = Gimmelootlite.sdta[k]:GetText() Gimmelootlite.rt = addon.db.profile.tiername Gimmelootlite.Start_Roll() end)
				Gimmelootlite.bnd:Show()
				Gimmelootlite.bnd:SetScript("OnClick", function() Gimmelootlite.li = k Gimmelootlite.lli = Gimmelootlite.sdta[k]:GetText() Gimmelootlite.rt = addon.db.profile.needname Gimmelootlite.Start_Roll() end)
				Gimmelootlite.bwt:Show()
				Gimmelootlite.bwt:SetScript("OnClick", function() Gimmelootlite.li = k Gimmelootlite.lli = Gimmelootlite.sdta[k]:GetText() Gimmelootlite.rt = addon.db.profile.offspecname Gimmelootlite.Start_Roll() end)	
				Gimmelootlite.bwo:Show()
				Gimmelootlite.bwo:SetScript("OnClick", function() Gimmelootlite.li = k Gimmelootlite.lli = Gimmelootlite.sdta[k]:GetText() Gimmelootlite.rt = addon.db.profile.wantname Gimmelootlite.Start_Roll() end)
				Gimmelootlite.bwe:Show()
				Gimmelootlite.bwe:SetScript("OnClick", function()  Gimmelootlite.li = k Gimmelootlite.End_Timer() end)
				Gimmelootlite.bwc:Show()
				Gimmelootlite.bwc:SetScript("OnClick", function() Gimmelootlite.li = k Gimmelootlite.EndRoll() end)	
			end
		end
	end
end
function Gimmelootlite.wFrame_wfA()
	local iteminfo = GetLootSlotLink(Gimmelootlite.li);
	SendChatMessage("Final Roll List for "..iteminfo, "RAID_WARNING", nil, nil)
	for i=1, 40 do
		local w, j = strsplit(" ", Gimmelootlite.wrp[i]:GetText())	
		if(w ~= "0") then
			SendChatMessage(Gimmelootlite.wrp[i]:GetText(), "RAID_WARNING", nil, nil)	
		end
	end		
end
--