-- Author      : Mmoose
-- Create Date : 20090915
-- Updated	   : 20111126

GimmelootliteLOC = {}
GimmelootliteLOC["version"] = "4.0-BETA"
GimmelootliteLOC["versionstring"] = "Gimmelootlite "..GimmelootliteLOC["version"]

--configuration localization strings
GimmelootliteLOC["tiername"] = "TIER"
GimmelootliteLOC["tierdesc"] = "Description for the tier roll"
GimmelootliteLOC["tiernamebname"] = "TIER Button ID"
GimmelootliteLOC["tierdescbdesc"] = "Single Digit Text to Appear on the Need Button"
GimmelootliteLOC["needname"] = "NEED"
GimmelootliteLOC["needdesc"] = "Description for the need roll"
GimmelootliteLOC["neednamebname"] = "NEED Button ID"
GimmelootliteLOC["needdescbdesc"] = "Single Digit Text to Appear on the Need Button"
GimmelootliteLOC["wantname"] = "FREEROLL"
GimmelootliteLOC["wantdesc"] = "Description for the FREEROLL roll"
GimmelootliteLOC["wantnamebname"] = "FREEROLL Button ID"
GimmelootliteLOC["wantdescbdesc"] = "Single Digit Text to Appear on the Want Button"
GimmelootliteLOC["offspecname"] = "SPEC"
GimmelootliteLOC["offspecdesc"] = "Description for the SPEC roll"
GimmelootliteLOC["offspecnamebname"] = "SPEC Button ID"
GimmelootliteLOC["offspecdescbdesc"] = "Single Digit Text to Appear on the FREEROLL Button"
GimmelootliteLOC["mmbutton"] = "Minimap Button"
GimmelootliteLOC["mmbuttondesc"] = "Show Minimap Button?"
GimmelootliteLOC["mmbuttonangle"] = "Button Angle"
GimmelootliteLOC["mmbuttonangledesc"] = "Minimap Button Angle"
GimmelootliteLOC["mmbuttonrad"] = "Button Radius"
GimmelootliteLOC["mmbuttonraddesc"] = "Minimap Button Radius"
GimmelootliteLOC["lootruledefault"] = "Gimmelootlite loot system default loot rules.  1 "..GimmelootliteLOC["tiername"].." win is allowed per run.  1 "..GimmelootliteLOC["needname"].." win is allowed per run.  "..GimmelootliteLOC["offspecname"].." wins will incur a penalty of -100, per win, to future "..GimmelootliteLOC["offspecname"].." rolls.  "..GimmelootliteLOC["wantname"].." wins are not penalized"
GimmelootliteLOC["showmain"] = "Show Main Frame On Load"
GimmelootliteLOC["showmaindesc"] = "Show Main Frame On Load"
GimmelootliteLOC["showwin"] = "Show Winners Frame On Load"
GimmelootliteLOC["showwindesc"] = "Show Winners Frame On Load"


--frame title strings
GimmelootliteLOC["mainframetitle"] = GimmelootliteLOC["versionstring"].." Main"
GimmelootliteLOC["winframetitle"] = GimmelootliteLOC["versionstring"].." Win"

--button strings
GimmelootliteLOC["announceloot"] = "AL"
--following are 2 characters only
GimmelootliteLOC["SR"] = "SR"
GimmelootliteLOC["SW"] = "SW"

--following are 1 character only
GimmelootliteLOC["X"] = "X"
GimmelootliteLOC["E"] = "E"
GimmelootliteLOC["C"] = "C"
GimmelootliteLOC["tiernameb"] = "T"
GimmelootliteLOC["neednameb"] = "N"
GimmelootliteLOC["wantnameb"] = "F"
GimmelootliteLOC["offspecnameb"] = "S"
GimmelootliteLOC["A"] = "A"

--mainframetooltip localization strings
GimmelootliteLOC["left"] = "Main frame (show/hide):  Left Click"
GimmelootliteLOC["right"] = "Winners frame (show/hide):  Right Click"
GimmelootliteLOC["altright"] = "Win/Main Frame (show/hide):  ALT-Right Click"

--winframetooltip localization strings
GimmelootliteLOC["wfright"] = "Right Click to announce winner and increment penalties"

--mod strings
GimmelootliteLOC["rollrec1"] = "Your roll of"
GimmelootliteLOC["rollrec2"] = "on"
GimmelootliteLOC["rollrec3"] = "has been received."


--string where they have already rolled during this roll session, and have tried to roll again
--will be filled in dynamically to show something like the following
--"You have already rolled with a base roll of 20 on [somelootitem].  Roll will be ignored."
GimmelootliteLOC["rollignore1"] = "You have already rolled with a base roll of"
GimmelootliteLOC["rollignore2"] = "on"
GimmelootliteLOC["rollignore3"] = ".  Roll will be ignored." 

--string to start the roll
--this string will be built dynamically to show something like the following
--"NEED Rolls on [somelootitem] starting NOW"
GimmelootliteLOC["startroll1"] = "Rolls on"
GimmelootliteLOC["startroll2"] = "Starting NOW!"

--string to close the roll
--this string will be built dynamically to show something like the following
--"NEED Rolls on [somelootitem] Closing in 5 seconds"
--after the countdown display the "rollsclosed" variable
GimmelootliteLOC["endroll1"] = "Rolls on"
GimmelootliteLOC["endroll2"] = "Closing in 5 seconds"
GimmelootliteLOC["lastcall1"] = "Rolls Closing on"
GimmelootliteLOC["lastcall2"] = "soon.  Last call!"
GimmelootliteLOC["close1"] = "Rolls on"
GimmelootliteLOC["close2"] = "are now CLOSED!"
--string to announce loot on the boss
--will be built dynamically to show something like the following
--"Loot on [somemob] [lootitem1][lootitem2] ... "
GimmelootliteLOC["lootboss"] = "Loot On"
GimmelootliteLOC["lootchest"] = "Loot In Chest"

--string to announce roll winner
--will be built dynamically to show something like the following
--"Grats to gertrude for winning [somelootitem] with a total calculated roll of 23"
GimmelootliteLOC["anncwin1"] = "Grats to"
GimmelootliteLOC["anncwin2"] = "for winning"
GimmelootliteLOC["anncwin3"] = "with a roll of"

--string to whisper grats to the winner
GimmelootliteLOC["gratswin"] = "Grats on your winning roll"
