-- Author      : Mmoose
-- Create Date : 20090915
-- Updated	   : 20111126

Gimmelootlite = LibStub("AceAddon-3.0"):NewAddon("Gimmelootlite", "AceConsole-3.0", "AceEvent-3.0", "AceComm-3.0")
local addon = Gimmelootlite
--options array here
local ncts = {}
ncts["NA"] = "N/A"
for i=1,20 do
	local is
	if (i < 10) then
		is = "0"..tostring(i)
	else
		is = tostring(i)
	end
	ncts[is] = tostring(is)
end
local function giveGimmelootliteOptions()
	command_options = {
		type = "group",
		name = "Gimmelootlite",
		args = {
			header1 =
			{
				order = 5,
				type = "header",
				name = "",
			},
			version =
			{
				order = 5,
				type = "description",
				name = "Gimmelootlite\n";
			},
		}
	}
	return command_options
end
local function giveOptionsGimmelootlite()
	local options = { 
		type = "group",
		args = {
			General = {
				order = 1,
				type = "group",
				name = "General Settings",
				desc = "General Settings",
				args = {
					showmmButton = {
						name = GimmelootliteLOC["mmbutton"],
						desc = GimmelootliteLOC["mmbuttondesc"],
				        type = "toggle",
						width = "double",
						get	= function() return addon.db.profile.usemm end,
						set	= function() addon.db.profile.usemm = not addon.db.profile.usemm Gimmelootlite:mmButton_toggle() end,
						order = 16,				
		            }, 
					mmButtonAngle = {
						name = GimmelootliteLOC["mmbuttonangle"],
						desc = GimmelootliteLOC["mmbuttonangledesc"],
				        type = "range",
						set = function(info, value) addon.db.profile.MiniMapPos = value Gimmelootlite.mmButton_reposition() end,
		                get = function() return addon.db.profile.MiniMapPos end,
				        min = 0,
						max = 360,
		                step = 0.01,
						order = 17,                
		            },	
		            mmButtonRad = {
						name = GimmelootliteLOC["mmbuttonrad"],
						desc = GimmelootliteLOC["mmbuttonraddesc"],
						type = "range",
		                set = function(info, value) addon.db.profile.MiniMapRad = value Gimmelootlite.mmButton_reposition() end,
				        get = function() return addon.db.profile.MiniMapRad end,
						min = 20,
		                max = 200,
				        step = 0.01,
						order = 18,                
		            }, 		

				},
			},
			RollDefs = {	
        	type = 'group',
			name = "RollDefs",
			desc = "Roll Definitions",
				args = {		
			        tiername = {
						name = GimmelootliteLOC["tiername"],
						desc = GimmelootliteLOC["tierdesc"],
						type = "input",
						--width = "double",
						set = function(info, value) addon.db.profile.tiername = value end,
						get = function() return addon.db.profile.tiername end,
						order = 1,
				    },	
				    tiernameb = {
						name = GimmelootliteLOC["tiernamebname"],
						desc = GimmelootliteLOC["tierdescbdesc"],
						type = "input",
						--width = "double",
						set = function(info, value) addon.db.profile.tiernameb = value end,
						get = function() return addon.db.profile.tiernameb end,
						order = 2,
				    },	
			        needname = {
						name = GimmelootliteLOC["needname"],
						desc = GimmelootliteLOC["needdesc"],
						type = "input",
						--width = "double",
						set = function(info, value) addon.db.profile.needname = value end,
						get = function() return addon.db.profile.needname end,
						order = 5,
				    },	
				    neednameb = {
						name = GimmelootliteLOC["neednamebname"],
						desc = GimmelootliteLOC["needdescbdesc"],
						type = "input",
						--width = "double",
						set = function(info, value) addon.db.profile.neednameb = value end,
						get = function() return addon.db.profile.neednameb end,
						order = 6,
				    },	
					offspecname = {
						name = GimmelootliteLOC["offspecname"],
						desc = GimmelootliteLOC["offspecdesc"],
						type = "input",
						--width = "double",
						set = function(info, value) addon.db.profile.offspecname = value end,
						get = function() return addon.db.profile.offspecname end,
						order = 9,
				    },	
				    offspecnameb = {
						name = GimmelootliteLOC["offspecnamebname"],
						desc = GimmelootliteLOC["offspecdescbdesc"],
						type = "input",
						--width = "double",
						set = function(info, value) addon.db.profile.offspecnameb = value end,
						get = function() return addon.db.profile.offspecnameb end,
						order = 10,
				    },             
					wantname = {
						name = GimmelootliteLOC["wantname"],
						desc = GimmelootliteLOC["wantdesc"],
						type = "input",
						--width = "double",
						set = function(info, value) addon.db.profile.wantname = value end,
						get = function() return addon.db.profile.wantname end,
						order = 13,
				    },		
				    wantnameb = {
						name = GimmelootliteLOC["wantnamebname"],
						desc = GimmelootliteLOC["wantdescbdesc"],
						type = "input",
						--width = "double",
						set = function(info, value) addon.db.profile.wantnameb = value end,
						get = function() return addon.db.profile.wantnameb end,
						order = 14,
				    },				    
				},
			},
			Frames = {	
        	type = 'group',
			name = "Frames",
			desc = "Frames",
				args = {
					showmain = {
						name = GimmelootliteLOC["showmain"],
				        desc = GimmelootliteLOC["showmaindesc"],
						type = "toggle",
				        width = "double",
						get  = function() return addon.db.profile.showmain end,
						set = function() addon.db.profile.showmain = not addon.db.profile.showmain end,
						order = 12,				
					},
					showwin = {
						name = GimmelootliteLOC["showwin"],
				        desc = GimmelootliteLOC["showwindesc"],
				        type = "toggle",
						width = "double",
						get  = function() return addon.db.profile.showwin end,
						set = function() addon.db.profile.showwin = not addon.db.profile.showwin end,
						order = 14,				
					},		
				},
			},
		}
    }  
    return options
end

--init functions here

function Gimmelootlite:PopulateFrame()
end
function Gimmelootlite:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("GimmelootliteDB", defaults)
	LibStub("AceConfigRegistry-3.0"):RegisterOptionsTable("Gimmelootlite",giveOptionsGimmelootlite)

	local AceConfigDialog = LibStub("AceConfigDialog-3.0")
	self.optionsFrames = {}
	self.optionsFrames.Gimmelootlite = AceConfigDialog:AddToBlizOptions("Gimmelootlite",GimmelootliteLOC["versionstring"], nil, "General")
	self.optionsFrames.RollDefs = AceConfigDialog:AddToBlizOptions("Gimmelootlite","RollDefs", GimmelootliteLOC["versionstring"], "RollDefs")	
	self.optionsFrames.Frames = AceConfigDialog:AddToBlizOptions("Gimmelootlite","Frames", GimmelootliteLOC["versionstring"], "Frames")
	
	
    self.db:RegisterDefaults(
		{ 
			profile =
			{
				showmain = false,
				showwin = false,
				MiniMapPos = 320,
				MiniMapRad = 80,
				usemm = true,
				point = "CENTER",
				relativePoint = "CENTER",
				xOfs = 0,
				yOfs = 0,
				wfpoint = "CENTER",
				wfrelativePoint = "CENTER",
				wfxOfs = 0,
				wfyOfs = 0,
				tiername = GimmelootliteLOC["tiername"],
				tiernameb = GimmelootliteLOC["tiernameb"],
				offspecname = GimmelootliteLOC["offspecname"],
				offspecnameb = GimmelootliteLOC["offspecnameb"],
				needname = GimmelootliteLOC["needname"],
				neednameb = GimmelootliteLOC["neednameb"],
				wantname = GimmelootliteLOC["wantname"],
				wantnameb = GimmelootliteLOC["wantnameb"],
			}
		}
	)
	Gimmelootlite.iisdta = {}
	Gimmelootlite.iipf = {}
	Gimmelootlite.sdta = {}
	Gimmelootlite.bnd = {}
	Gimmelootlite.bwt = {}
	Gimmelootlite.bwo = {}
	Gimmelootlite.rp = {}
	Gimmelootlite.rpf = {}
	Gimmelootlite.wrp = {}
	Gimmelootlite.wrpf = {}
	Gimmelootlite.bwe = {}
	Gimmelootlite.bwc = {}
	Gimmelootlite.mfpf = {}
	Gimmelootlite.li = ""
	Gimmelootlite.lli = ""
	Gimmelootlite.rt = ""
	Gimmelootlite.name = ""
	Gimmelootlite.roll = ""
	Gimmelootlite.comrec = ""
	Gimmelootlite.lsel = ""
	Gimmelootlite.inum = ""
	self:RegisterEvent("PLAYER_ENTERING_WORLD")
	
end